Package org.apache.sysds.runtime.io

# Class ListWriter

java.lang.Object
org.apache.sysds.runtime.io.ListWriter

public class ListWriter extends Object

## Constructor Summary

Constructors
Constructor
Description
`ListWriter()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`writeListToHDFS(ListObject lo, String fname, String fmtStr, FileFormatProperties props)`
Writes a list object and all contained objects to a folder with related meta data.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListWriter

public ListWriter()

## Method Details

### writeListToHDFS

public static void writeListToHDFS(ListObject lo, String fname, String fmtStr, FileFormatProperties props) throws DMLRuntimeException
Writes a list object and all contained objects to a folder with related meta data. The individual objects (including nested lists) are written with existing matrix/frame writers and meta data such that the entire list and separate objects can be read back. By using the existing writers, all formats are naturally supported and we can ensure consistency of the on-disk representation.

Parameters:
  `lo` - list object
  `fname` - directory name
  `fmtStr` - format string
  `props` - file format properties
Throws:
  `DMLRuntimeException` - if write fails